## alicevision 3.2.0+repack

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(aliceVision LANGUAGES C CXX)

option(ALICEVISION_BUILD_DEPENDENCIES "Build all AliceVision dependencies" OFF)
option(AV_BUILD_ALICEVISION "Enable building of AliceVision" ON)
option(AV_EIGEN_MEMORY_ALIGNMENT "Enable Eigen memory alignment" ON)
option(ALICEVISION_BUILD_TESTS "Build AliceVision tests" OFF)
option(AV_USE_CUDA "Enable CUDA" ON)
option(AV_USE_OPENMP "Enable OpenMP" $<$<CXX_COMPILER_ID:"AppleClang">,OFF,ON>) # disable by default for AppleClang
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type for AliceVision" FORCE)
endif()

# set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build type for AliceVision")
set(DEPS_CMAKE_BUILD_TYPE "Release" CACHE STRING "Build type for all external libraries (only used if ALICEVISION_BUILD_DEPENDENCIES=ON)")
string(TOLOWER ${DEPS_CMAKE_BUILD_TYPE} DEPS_CMAKE_BUILD_TYPE_LOWERCASE)
set(ALICEVISION_BUNDLE_PREFIX "${CMAKE_INSTALL_PREFIX}/bundle" CACHE STRING "Path for bundle installation")
set(ALICEVISION_ROOT ${PROJECT_BINARY_DIR})

# ==============================================================================
# GNUInstallDirs CMake module
# - Define GNU standard installation directories
# - Provides install directory variables as defined by the GNU Coding Standards.
# ==============================================================================
include(GNUInstallDirs)

if(CMAKE_BUILD_TYPE MATCHES Release)
    message(STATUS "Force CMAKE_INSTALL_DO_STRIP in Release")
    set(CMAKE_INSTALL_DO_STRIP TRUE)
endif()

message(STATUS "----------------------------------------")
message(STATUS "ALICEVISION_BUILD_DEPENDENCIES: ${ALICEVISION_BUILD_DEPENDENCIES}")
message(STATUS "ALICEVISION_BUILD_TESTS: ${ALICEVISION_BUILD_TESTS}")
message(STATUS "")
message(STATUS "CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}")
message(STATUS "DEPS_CMAKE_BUILD_TYPE: ${DEPS_CMAKE_BUILD_TYPE}")
message(STATUS "CMAKE_INSTALL_LIBDIR: ${CMAKE_INSTALL_LIBDIR}")
message(STATUS "CMAKE_INSTALL_PREFIX: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "CMAKE_INSTALL_RPATH: ${CMAKE_INSTALL_RPATH}")
message(STATUS "CMAKE_INSTALL_DO_STRIP: ${CMAKE_INSTALL_DO_STRIP}")
message(STATUS "----------------------------------------")

# Eigen requires overaligned buffers for maximum efficiency (e.g. on AVX512 buffers may need to
# be aligned to 64 bytes). Fortunately this is fixed in C++17.
# See https://eigen.tuxfamily.org/dox/group__TopicUnalignedArrayAssert.html
# Only change this option to disable it for older compilers or for debug purposes.
if(NOT AV_EIGEN_MEMORY_ALIGNMENT)
    set(EIGEN_CMAKE_ALIGNMENT_FLAGS
        "-DCMAKE_CXX_FLAGS:STRING=-DEIGEN_MAX_ALIGN_BYTES=0 -DEIGEN_MAX_STATIC_ALIGN_BYTES=0"
        "-DCMAKE_C_FLAGS:STRING=-DEIGEN_MAX_ALIGN_BYTES=0 -DEIGEN_MAX_STATIC_ALIGN_BYTES=0")
endif()


# ==============================================================================
# Enable cmake UNIT TEST framework
# ==============================================================================
if(ALICEVISION_BUILD_TESTS)
    enable_testing()
endif()


if(ALICEVISION_BUILD_DEPENDENCIES)
    include(src/cmake/Dependencies.cmake)
else()

# ==============================================================================
# Standard cmake project without internal support for dependencies
# ==============================================================================

# Add sources
add_subdirectory(src)

install(
    FILES 
        LICENSE-MPL2.md 
        LICENSE-MIT-libmv.md 
        COPYING.md 
        CONTRIBUTORS.md
    DESTINATION ${CMAKE_INSTALL_DATADIR}/aliceVision
)

endif()

# Bundle target (see src/cmake/MakeBundle.cmake)
# Note: require that the install rule has been executed
# Include VCPKG installed dir for runtime dependencies lookup
set(BUNDLE_LIBS_PATHS "")
if(_VCPKG_INSTALLED_DIR)
    set(BUNDLE_LIBS_PATHS ${_VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}$<$<CONFIG:Debug>:/debug>/bin)
endif()

add_custom_target(bundle
    ${CMAKE_COMMAND}
    -DBUNDLE_INSTALL_PREFIX=${ALICEVISION_BUNDLE_PREFIX}
    -DCMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX}
    -DBUNDLE_LIBS_PATHS=${BUNDLE_LIBS_PATHS}
    -P ${CMAKE_CURRENT_SOURCE_DIR}/src/cmake/MakeBundle.cmake
)

set_target_properties(bundle PROPERTIES FOLDER Packaging)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
message("CMake version: ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}")

# ==============================================================================
# AliceVision version
# ==============================================================================
file(STRINGS "aliceVision/version.hpp" _ALICEVISION_VERSION_HPP_CONTENTS REGEX "#define ALICEVISION_VERSION_")
foreach(v MAJOR MINOR REVISION)
  if("${_ALICEVISION_VERSION_HPP_CONTENTS}" MATCHES "#define ALICEVISION_VERSION_${v} ([0-9]+)")
    set(ALICEVISION_VERSION_${v} "${CMAKE_MATCH_1}")
  else()
    message(FATAL_ERROR "Failed to retrieve the AliceVision version the source code. Missing ALICEVISION_VERSION_${v}.")
  endif()
endforeach()
set(ALICEVISION_VERSION ${ALICEVISION_VERSION_MAJOR}.${ALICEVISION_VERSION_MINOR}.${ALICEVISION_VERSION_REVISION})

project(aliceVisionSrc LANGUAGES C CXX VERSION ${ALICEVISION_VERSION})

# Guard against in-source builds
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  message(FATAL_ERROR "In-source builds not allowed.")
endif()

if(NOT ALICEVISION_ROOT)
  message(FATAL_ERROR "Should build from the CMakeLists.txt in the root folder.")
endif()

# Trilean option
function(trilean_option NAME DESCRIPTION DEFAULT_VALUE)
  set(${NAME} ${DEFAULT_VALUE} CACHE STRING ${DESCRIPTION})
  set(TRILEAN_VALUES "AUTO;ON;OFF")

  set_property(CACHE ${NAME} PROPERTY STRINGS "${TRILEAN_VALUES}")
  if("${${NAME}}" IN_LIST TRILEAN_VALUES)
    message(STATUS "** ${NAME}: '${${NAME}}'")
  else()
    message(FATAL_ERROR "A trilean option only accept the values: '${TRILEAN_VALUES}'")
  endif()
endfunction()

# C++17
set(CMAKE_CXX_STANDARD 17 CACHE STRING "The C++ standard used by the project")
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CUDA_STANDARD ${CMAKE_CXX_STANDARD} CACHE STRING "The C++ standard used to compile cuda code in the project")
set(CMAKE_CUDA_STANDARD_REQUIRED ON)

# ==============================================================================
# AliceVision build options
# ==============================================================================
option(ALICEVISION_BUILD_SFM "Build AliceVision SfM part" ON)
option(ALICEVISION_BUILD_MVS "Build AliceVision MVS part" ON)
option(ALICEVISION_BUILD_HDR "Build AliceVision HDR part" ON)
option(ALICEVISION_BUILD_SEGMENTATION "Build AliceVision Segmentation part" ON)
option(ALICEVISION_BUILD_STEREOPHOTOMETRY "Build AliceVision StereoPhotometry part" ON)
option(ALICEVISION_BUILD_PANORAMA "Build AliceVision panorama part" ON)
option(ALICEVISION_BUILD_SOFTWARE "Build AliceVision command line tools." ON)
option(ALICEVISION_BUILD_COVERAGE "Enable code coverage generation (gcc only)" OFF)
trilean_option(ALICEVISION_BUILD_DOC "Build AliceVision documentation" AUTO)

trilean_option(ALICEVISION_USE_OPENMP "Enable OpenMP parallelization" ON)
trilean_option(ALICEVISION_USE_CCTAG "Enable CCTAG markers" AUTO)
trilean_option(ALICEVISION_USE_APRILTAG "Enable AprilTag markers" AUTO)
trilean_option(ALICEVISION_USE_POPSIFT "Enable GPU SIFT implementation" AUTO)
trilean_option(ALICEVISION_USE_OPENGV "Enable use of OpenGV algorithms" AUTO)
trilean_option(ALICEVISION_USE_ALEMBIC "Enable Alembic I/O" AUTO)
trilean_option(ALICEVISION_USE_UNCERTAINTYTE "Enable Uncertainty computation" AUTO)
trilean_option(ALICEVISION_USE_ONNX "Enable ONNX Runtime" AUTO)
option(ALICEVISION_USE_ONNX_GPU "Use CUDA with ONNX Runtime" ON)
trilean_option(ALICEVISION_USE_CUDA "Enable CUDA" ON)
trilean_option(ALICEVISION_USE_OPENCV "Enable use of OpenCV algorithms" OFF)
trilean_option(ALICEVISION_USE_OPENCV_CONTRIB "Enable use of OpenCV algorithms from extra modules" AUTO)
option(ALICEVISION_USE_OCVSIFT "Add or not OpenCV SIFT in available features" OFF)
mark_as_advanced(FORCE ALICEVISION_USE_OCVSIFT)

option(ALICEVISION_USE_MESHSDFILTER "Use MeshSDFilter library (enable MeshDenoising and MeshDecimate)" ON)

option(ALICEVISION_REQUIRE_CERES_WITH_SUITESPARSE "Require Ceres with SuiteSparse (ensure best performances)" ON)

option(ALICEVISION_USE_RPATH "Add RPATH on software with relative paths to libraries" ON)

option(ALICEVISION_BUILD_TESTS "Build AliceVision tests" OFF)

option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Default build is in Release mode
if(NOT CMAKE_BUILD_TYPE AND NOT MSVC)
  set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT ALICEVISION_BUILD_SFM)
    SET(ALICEVISION_BUILD_MVS OFF)
    SET(ALICEVISION_BUILD_HDR OFF)
    SET(ALICEVISION_BUILD_SEGMENTATION OFF)
    SET(ALICEVISION_BUILD_STEREOPHOTOMETRY OFF)
    SET(ALICEVISION_BUILD_PANORAMA OFF)
endif()

# ==============================================================================
# Enable cmake UNIT TEST framework
# ==============================================================================
if(ALICEVISION_BUILD_TESTS AND NOT CMAKE_TESTING_ENABLED)
  enable_testing()
endif()

# ==============================================================================
# GNUInstallDirs CMake module
# - Define GNU standard installation directories
# - Provides install directory variables as defined by the GNU Coding Standards.
# ==============================================================================
include(GNUInstallDirs)

if(CMAKE_BUILD_TYPE MATCHES Release)
    message(STATUS "Force CMAKE_INSTALL_DO_STRIP in Release")
    set(CMAKE_INSTALL_DO_STRIP TRUE)
endif()

if(ALICEVISION_USE_RPATH)
  if(APPLE)
    set(CMAKE_MACOSX_RPATH 1)
    set(CMAKE_INSTALL_RPATH "@loader_path/../${CMAKE_INSTALL_LIBDIR};@loader_path")
  elseif(UNIX)
    set(CMAKE_INSTALL_RPATH "\\$ORIGIN/../${CMAKE_INSTALL_LIBDIR};\\$ORIGIN")
  endif()
endif()


# Set build path
set(EXECUTABLE_OUTPUT_PATH "${ALICEVISION_ROOT}/${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
set(LIBRARY_OUTPUT_PATH "${ALICEVISION_ROOT}/${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")

# Windows specific defines
if(WIN32)
  add_definitions(-DNOMINMAX)
  add_definitions(-D_USE_MATH_DEFINES)
  if(MSVC)
    add_compile_options(/bigobj)
    add_compile_options(/MP)
  endif()
endif()

# Avoids deprecation warning caused by internals of json_parser. This is properly fixed in
# Boost 1.76.0: https://github.com/boostorg/property_tree/commit/d1c8825a45a0717e1ad79583d3283b0e5e32831e
add_definitions(-DBOOST_BIND_GLOBAL_PLACEHOLDERS=1)

# Folders
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "_CMakePredefinedTargets")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

if(BUILD_SHARED_LIBS)
  if(WIN32)
    # Export all symbols from the dynamic libraries by default (avoid dllexport markup)
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
  endif()
endif()

# ==============================================================================
# MACRO utility
# ==============================================================================
macro(add_target_properties _target _name)
  set(_properties)
  foreach(_prop ${ARGN})
    set(_properties "${_properties} ${_prop}")
  endforeach(_prop)
  get_target_property(_old_properties ${_target} ${_name})
  if(NOT _old_properties)
    # in case it's NOTFOUND
    set(_old_properties)
  endif(NOT _old_properties)
  set_target_properties(${_target} PROPERTIES ${_name} "${_old_properties} ${_properties}")
endmacro(add_target_properties)

# ==============================================================================
# Check that submodule have been initialized and updated
# ==============================================================================
if(NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/dependencies/MeshSDFilter/external)
  message(FATAL_ERROR
    "\n submodule(s) are missing, please update your repository:\n"
    "  > git submodule update -i\n")
endif()

# ==============================================================================
# Additional cmake find modules
# ==============================================================================
set(CMAKE_MODULE_PATH
  ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(OptimizeForArchitecture)
OptimizeForArchitecture()
set(ALICEVISION_HAVE_SSE 0)
if(SSE2_FOUND OR TARGET_ARCHITECTURE STREQUAL "native")
  if(MSVC AND NOT ${CMAKE_CL_64})
    add_definitions(/arch:SSE2)
  endif()
  set(ALICEVISION_HAVE_SSE 1)
endif()
if(UNIX AND NOT ALICEVISION_BUILD_COVERAGE)
  set(CMAKE_C_FLAGS_RELEASE "-O3")
  set(CMAKE_CXX_FLAGS_RELEASE "-O3")
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
  include(AddCompilerFlag)

  # This flag is useful as not returning from a non-void function is an error with MSVC
  AddCompilerFlag("-Werror=return-type")
  AddCompilerFlag("-Werror=switch")
  AddCompilerFlag("-Werror=return-local-addr")
endif()

# Eigen requires overaligned buffers for maximum efficiency (e.g. on AVX512 buffers may need to
# be aligned to 64 bytes). AliceVision currently does not support this. Fortunately this is fixed
# in C++17. While we can't upgrade to C++17 just yet, some compilers support overaligned
# allocation feature with a separate flag, so use it if alignment is enabled in Eigen.
# See https://eigen.tuxfamily.org/dox/group__TopicUnalignedArrayAssert.html
if(AV_EIGEN_MEMORY_ALIGNMENT)
  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 7.1)
    AddCompilerFlag("-faligned-new")
  elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 6.0)
    AddCompilerFlag("-faligned-new")
  elseif(CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 10.0)
    AddCompilerFlag("-faligned-new")
  elseif(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 19.12)
    AddCompilerFlag("/Zc:alignedNew")
  else()
    message(FATAL_ERROR "AV_EIGEN_MEMORY_ALIGNMENT is only supported starting GCC 7.1, Clang 6.0 and MSVC 2017 15.5")
  endif()
endif()

# ==============================================================================
# Enable code coverage generation (only with GCC)
# ==============================================================================
if(ALICEVISION_BUILD_COVERAGE AND CMAKE_COMPILER_IS_GNUCXX)
  message("ALICEVISION_BUILD_COVERAGE enabled")
  set(CMAKE_BUILD_TYPE "Debug")
  add_definitions(--coverage -fprofile-arcs -ftest-coverage)
  set(CMAKE_EXE_LINKER_FLAGS
    "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs -ftest-coverage")
endif()

# ==============================================================================
# OpenMP
# ==============================================================================
if(ALICEVISION_USE_OPENMP STREQUAL "OFF")
  set(ALICEVISION_HAVE_OPENMP 0)
else() # ON OR AUTO
  find_package(OpenMP)

  if(OPENMP_FOUND)
    set(ALICEVISION_HAVE_OPENMP 1)
    message(STATUS "OpenMP found.")
  elseif(ALICEVISION_USE_OPENMP STREQUAL "ON")
    set(ALICEVISION_HAVE_OPENMP 0)
    message(SEND_ERROR "Failed to find OpenMP.")
  else()
    set(ALICEVISION_HAVE_OPENMP 0)
  endif()
endif()

if(ALICEVISION_HAVE_OPENMP)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  if(NOT MSVC)
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
      # for those using the clang with OpenMP support
      list(APPEND ALICEVISION_LIBRARY_DEPENDENCIES omp)
    else()
    list(APPEND ALICEVISION_LIBRARY_DEPENDENCIES gomp)
    endif()
  endif()
endif()

# ==============================================================================
# Boost
# ==============================================================================
option(BOOST_NO_CXX11 "if Boost is compiled without C++11 support (as it is often the case in OS packages) this must be enabled to avoid symbol conflicts (SCOPED_ENUM)." OFF)
set(ALICEVISION_BOOST_COMPONENTS atomic container date_time filesystem graph json log log_setup program_options regex serialization system thread timer)
if(ALICEVISION_BUILD_TESTS)
    set(ALICEVISION_BOOST_COMPONENT_UNITTEST unit_test_framework)
endif()

=== src/aliceVision/CMakeLists.txt ===
# Common modules

add_subdirectory(image)
add_subdirectory(numeric)
add_subdirectory(system)
add_subdirectory(cmdline)
add_subdirectory(stl)
add_subdirectory(utils)
add_subdirectory(gpu)

# SfM modules

if(ALICEVISION_BUILD_SFM)
  add_subdirectory(camera)
  add_subdirectory(colorHarmonization)
  add_subdirectory(dataio)
  add_subdirectory(feature)
  add_subdirectory(featureEngine)
  add_subdirectory(geometry)
  add_subdirectory(graph)
  add_subdirectory(imageMatching)
  add_subdirectory(linearProgramming)
  add_subdirectory(lensCorrectionProfile)
  add_subdirectory(localization)
  add_subdirectory(matching)
  add_subdirectory(matchingImageCollection)
  add_subdirectory(multiview)
  add_subdirectory(rig)
  add_subdirectory(robustEstimation)
  add_subdirectory(sensorDB)
  add_subdirectory(sfm)
  add_subdirectory(sfmData)
  add_subdirectory(sfmDataIO)
  add_subdirectory(track)
  add_subdirectory(voctree)
  add_subdirectory(calibration)
  if(ALICEVISION_HAVE_OPENCV)
    add_subdirectory(imageMasking)
    add_subdirectory(keyframe)
  endif()
endif()

if (ALICEVISION_BUILD_PANORAMA)
  add_subdirectory(panorama)
endif()

if(ALICEVISION_BUILD_HDR)
  add_subdirectory(hdr)
endif()

# MVS modules

if(ALICEVISION_BUILD_MVS)
  add_subdirectory(lightingEstimation)
  add_subdirectory(mesh)
  add_subdirectory(mvsData)
  add_subdirectory(mvsUtils)
  add_subdirectory(fuseCut)

  if(ALICEVISION_HAVE_CUDA)
    add_subdirectory(depthMap)
  endif()

  if(ALICEVISION_HAVE_ONNX)
    add_subdirectory(segmentation)
  endif()
endif()



if(ALICEVISION_BUILD_SFM AND ALICEVISION_BUILD_MVS)
  add_subdirectory(sfmMvsUtils)
endif()

if (ALICEVISION_BUILD_STEREOPHOTOMETRY)
    if(ALICEVISION_HAVE_OPENCV)
        add_subdirectory(photometricStereo)
        if(ALICEVISION_HAVE_ONNX)
            add_subdirectory(sphereDetection)
        endif()
    endif()
endif()

# Install rules

install(
  DIRECTORY .
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/aliceVision
  COMPONENT headers
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h" PATTERN "*.tcc"
)

# Add files to an empty target to get them in IDE
set(global_files_headers
  alicevision_omp.hpp
  prettyprint.hpp
  types.hpp
  version.hpp
)

add_custom_target(aliceVision_global_headers_ide SOURCES ${global_files_headers})

set_property(TARGET aliceVision_global_headers_ide
  PROPERTY FOLDER AliceVision
)

=== src/dependencies/CMakeLists.txt ===
## AliceVision dependencies

# Add nanoflann (header-only)
add_library(nanoflann INTERFACE IMPORTED GLOBAL)
set(NANOFLANN_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/nanoflann/include")
set_target_properties(nanoflann PROPERTIES
    INTERFACE_INCLUDE_DIRECTORIES "${NANOFLANN_INCLUDE_DIR}")

# libs should be static
set(BUILD_SHARED_LIBS OFF)

# use PIC code for link into shared lib
if(UNIX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif(UNIX)


# Add svg library
add_subdirectory(vectorGraphics)



list(APPEND directories histogram htmlDoc vectorGraphics)
foreach(inDirectory ${directories})
  install(
    DIRECTORY ./${inDirectory}
    DESTINATION include/aliceVision/dependencies/
    COMPONENT headers
    FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
  )
endforeach()

=== src/aliceVision/calibration/CMakeLists.txt ===
# Headers
set(calibration_files_headers
  calibration.hpp
  bestImages.hpp
  patternDetect.hpp
  exportData.hpp
  distortionEstimation.hpp
  checkerDetector.hpp
  checkerDetector_io.hpp
)

# Sources
set(calibration_files_sources
  distortionEstimation.cpp
  checkerDetector.cpp
  checkerDetector_io.cpp
)

if(ALICEVISION_HAVE_OPENCV)
  list(APPEND calibration_files_sources 
    bestImages.cpp
    calibration.cpp
    patternDetect.cpp
    exportData.cpp
  )
endif()

alicevision_add_library(aliceVision_calibration
  SOURCES ${calibration_files_headers} ${calibration_files_sources}
  PRIVATE_LINKS
    aliceVision_image
    aliceVision_system
    aliceVision_dataio
    Boost::filesystem
    Boost::program_options
    Boost::boost
    Boost::json
    ${CERES_LIBRARIES}
)

if(ALICEVISION_HAVE_OPENCV)
  target_link_libraries(aliceVision_calibration PUBLIC ${OpenCV_LIBS})
endif()

if(ALICEVISION_HAVE_CCTAG)
  target_link_libraries(aliceVision_calibration PRIVATE CCTag::CCTag)
endif()

=== src/aliceVision/camera/CMakeLists.txt ===
# Headers
set(camera_files_headers
	camera.hpp
	cameraCommon.hpp
	cameraUndistortImage.hpp
	Distortion.hpp
	Distortion3DE.hpp
	DistortionBrown.hpp
	DistortionFisheye.hpp
	DistortionFisheye1.hpp
	DistortionRadial.hpp
	Undistortion.hpp
	Undistortion3DE.hpp
	Equidistant.hpp
	IntrinsicBase.hpp
	IntrinsicInitMode.hpp
	IntrinsicScaleOffset.hpp
	IntrinsicScaleOffsetDisto.hpp
	Pinhole.hpp
)

set(camera_files_sources
    Distortion3DE.cpp
    DistortionBrown.cpp
    DistortionFisheye.cpp
    DistortionFisheye1.cpp
    DistortionRadial.cpp
    Equidistant.cpp
    IntrinsicBase.cpp
    IntrinsicScaleOffset.cpp
    IntrinsicScaleOffsetDisto.cpp
    Pinhole.cpp
	Undistortion.cpp
    Undistortion3DE.cpp
)

alicevision_add_library(aliceVision_camera
  SOURCES ${camera_files_headers} ${camera_files_sources}
  PUBLIC_LINKS
    aliceVision_numeric
    aliceVision_geometry
    aliceVision_image
    aliceVision_stl
    aliceVision_system
)

# Unit tests
alicevision_add_test(distortion_test.cpp        NAME "camera_distortionRadial"    LINKS aliceVision_camera)
alicevision_add_test(pinholeBrown_test.cpp      NAME "camera_pinholeBrown"        LINKS aliceVision_camera)
alicevision_add_test(pinholeFisheye_test.cpp    NAME "camera_pinholeFisheye"      LINKS aliceVision_camera)
alicevision_add_test(pinholeFisheye1_test.cpp   NAME "camera_pinholeFisheye1"     LINKS aliceVision_camera)
alicevision_add_test(pinholeRadial_test.cpp     NAME "camera_pinholeRadial"       LINKS aliceVision_camera)
alicevision_add_test(pinhole3DE_test.cpp     	NAME "camera_pinhole3DE"       LINKS aliceVision_camera)
alicevision_add_test(equidistant_test.cpp       NAME "camera_equidistant"         LINKS aliceVision_camera)

=== src/aliceVision/cmdline/CMakeLists.txt ===
# Sources
set(cmdline_files_sources
  cmdline.cpp
)

alicevision_add_library(aliceVision_cmdline
  SOURCES ${cmdline_files_sources}
  PUBLIC_LINKS
    Boost::program_options
  PRIVATE_LINKS
    aliceVision_system
)

=== src/aliceVision/colorHarmonization/CMakeLists.txt ===
# Headers
set(colorHarmonization_files_headers
  CommonDataByPair.hpp
  CommonDataByPair_fullFrame.hpp
  CommonDataByPair_matchedPoints.hpp
  CommonDataByPair_vldSegment.hpp
  GainOffsetConstraintBuilder.hpp
)

# Sources
set(colorHarmonization_files_sources
  GainOffsetConstraintBuilder.cpp
)

alicevision_add_library(aliceVision_colorHarmonization
  SOURCES ${colorHarmonization_files_headers} ${colorHarmonization_files_sources}
  PUBLIC_LINKS
    aliceVision_feature
    aliceVision_image
    aliceVision_linearProgramming
    aliceVision_matching
)

# Unit tests
alicevision_add_test(gainOffsetConstraintBuilder_test.cpp NAME "colorHarmonization_gainOffsetConstraintBuilder" LINKS aliceVision_colorHarmonization)

=== src/aliceVision/dataio/CMakeLists.txt ===
# Headers
set(dataio_files_headers
  FeedProvider.hpp
  IFeed.hpp
  ImageFeed.hpp
  SfMDataFeed.hpp
)

# Sources
set(dataio_files_sources
  FeedProvider.cpp
  IFeed.cpp
  ImageFeed.cpp
  SfMDataFeed.cpp
)

if(ALICEVISION_HAVE_OPENCV)
  list(APPEND dataio_files_headers VideoFeed.hpp)
  list(APPEND dataio_files_sources VideoFeed.cpp)
endif()

alicevision_add_library(aliceVision_dataio
  SOURCES ${dataio_files_headers} ${dataio_files_sources}
  PUBLIC_LINKS
    aliceVision_camera
    aliceVision_image
  PRIVATE_LINKS
    aliceVision_sfmData
    aliceVision_sfmDataIO
    aliceVision_system
    Boost::filesystem
    Boost::boost
)

if(ALICEVISION_HAVE_OPENCV)
  target_link_libraries(aliceVision_dataio PRIVATE ${OpenCV_LIBS})
endif()

=== src/aliceVision/depthMap/CMakeLists.txt ===
# Headers
set(depthMap_files_headers
  BufPtr.hpp
  computeOnMultiGPUs.hpp
  CustomPatchPatternParams.hpp
  DepthMapEstimator.hpp
  DepthMapParams.hpp
  depthMapUtils.hpp
  NormalMapEstimator.hpp
  Refine.hpp
  RefineParams.hpp
  Sgm.hpp
  SgmDepthList.hpp
  SgmParams.hpp
  Tile.hpp
  volumeIO.hpp
)

# Sources
set(depthMap_files_sources
  computeOnMultiGPUs.cpp
  CustomPatchPatternParams.cpp
  DepthMapEstimator.cpp
  depthMapUtils.cpp
  NormalMapEstimator.cpp
  Refine.cpp
  Sgm.cpp
  SgmDepthList.cpp
  volumeIO.cpp
)

# Cuda Host Headers Only
set(depthMap_cuda_host_headers
  cuda/host/LRUCameraCache.hpp
  cuda/host/LRUCache.hpp
  cuda/host/divUp.hpp
  cuda/host/memory.hpp
)

# Cuda Host Sources
set(depthMap_cuda_host_sources
  cuda/host/DeviceCache.hpp
  cuda/host/DeviceCache.cpp
  cuda/host/DeviceMipmapImage.hpp
  cuda/host/DeviceMipmapImage.cpp
  cuda/host/DeviceStreamManager.hpp
  cuda/host/DeviceStreamManager.cpp
  cuda/host/patchPattern.hpp
  cuda/host/patchPattern.cpp
  cuda/host/utils.hpp
  cuda/host/utils.cpp
)

# device CUDA Headers Only
set(depthMap_cuda_device_headers
  cuda/device/buffer.cuh
  cuda/device/color.cuh
  cuda/device/eig33.cuh
  cuda/device/matrix.cuh
  cuda/device/operators.cuh
  cuda/device/Patch.cuh
  cuda/device/SimStat.cuh
)

# device CUDA Sources
set(depthMap_cuda_device_sources
  cuda/device/DeviceCameraParams.hpp
  cuda/device/DeviceCameraParams.cu
  cuda/device/DevicePatchPattern.hpp
  cuda/device/DevicePatchPattern.cu
)

# imageProcessing CUDA Sources
set(depthMap_cuda_imageProcessing_sources
  cuda/imageProcessing/deviceGaussianFilter.hpp
  cuda/imageProcessing/deviceGaussianFilter.cu
  cuda/imageProcessing/deviceColorConversion.hpp
  cuda/imageProcessing/deviceColorConversion.cu
  cuda/imageProcessing/deviceMipmappedArray.hpp
  cuda/imageProcessing/deviceMipmappedArray.cu
)

# planeSweeping CUDA Headers Only
set(depthMap_cuda_planeSweeping_headers
  cuda/planeSweeping/deviceDepthSimilarityMapKernels.cuh
  cuda/planeSweeping/deviceSimilarityVolumeKernels.cuh
)

# planeSweeping CUDA Sources
set(depthMap_cuda_planeSweeping_sources
  cuda/planeSweeping/similarity.hpp
  cuda/planeSweeping/deviceDepthSimilarityMap.hpp
  cuda/planeSweeping/deviceDepthSimilarityMap.cu
  cuda/planeSweeping/deviceSimilarityVolume.hpp
  cuda/planeSweeping/deviceSimilarityVolume.cu
)

set_source_files_properties(${depthMap_cuda_host_headers}
			    ${depthMap_cuda_device_headers} 
			    ${depthMap_cuda_planeSweeping_headers}

  PROPERTIES HEADER_FILE_ONLY true
)

source_group("aliceVision_depthMap_cuda_host" FILES ${depthMap_cuda_host_headers} ${depthMap_cuda_host_sources})
source_group("aliceVision_depthMap_cuda_device" FILES ${depthMap_cuda_device_headers} ${depthMap_cuda_device_sources})
source_group("aliceVision_depthMap_cuda_imageProcessing" FILES ${depthMap_cuda_imageProcessing_sources})
source_group("aliceVision_depthMap_cuda_planeSweeping" FILES ${depthMap_cuda_planeSweeping_headers} ${depthMap_cuda_planeSweeping_sources})

# Cuda Sources
set(depthMap_cuda_files_sources
  ${depthMap_cuda_host_headers} 
  ${depthMap_cuda_host_sources}
  ${depthMap_cuda_device_headers} 
  ${depthMap_cuda_device_sources}
  ${depthMap_cuda_imageProcessing_sources}
  ${depthMap_cuda_planeSweeping_headers} 
  ${depthMap_cuda_planeSweeping_sources}
)

alicevision_add_library(aliceVision_depthMap
  USE_CUDA
  SOURCES
    ${depthMap_files_headers}
    ${depthMap_files_sources}
    ${depthMap_cuda_files_sources}
  PUBLIC_LINKS
    aliceVision_mvsData
    aliceVision_mvsUtils
    aliceVision_system
    Boost::filesystem
    assimp::assimp
    ${CUDA_CUDADEVRT_LIBRARY}
    ${CUDA_CUBLAS_LIBRARIES} #TODO shouldn't be here, but required to build on some machines
  PRIVATE_LINKS
    aliceVision_gpu
    aliceVision_sfmData
    aliceVision_sfmDataIO
  PUBLIC_INCLUDE_DIRS
    ${CUDA_INCLUDE_DIRS}
)

# target_compile_definitions(aliceVision_depthMap PUBLIC TSIM_USE_FLOAT)

=== src/aliceVision/feature/CMakeLists.txt ===
project(features)

# Headers
set(features_files_headers
  akaze/AKAZE.hpp
  akaze/descriptorLIOP.hpp
  akaze/descriptorMLDB.hpp
  akaze/descriptorMSURF.hpp
  akaze/ImageDescriber_AKAZE.hpp
  sift/ImageDescriber_SIFT.hpp
  sift/ImageDescriber_SIFT_vlfeat.hpp
  sift/ImageDescriber_SIFT_vlfeatFloat.hpp
  sift/ImageDescriber_DSPSIFT_vlfeat.hpp
  sift/SIFT.hpp
  Descriptor.hpp
  feature.hpp
  FeaturesPerView.hpp
  Hamming.hpp
  ImageDescriber.hpp
  imageDescriberCommon.hpp
  imageStats.hpp
  KeypointSet.hpp
  metric.hpp
  PointFeature.hpp
  Regions.hpp
  regionsFactory.hpp
  RegionsPerView.hpp
)

# Sources
set(features_files_sources
  akaze/AKAZE.cpp
  akaze/descriptorLIOP.cpp
  akaze/ImageDescriber_AKAZE.cpp
  sift/SIFT.cpp
  sift/ImageDescriber_DSPSIFT_vlfeat.cpp
  FeaturesPerView.cpp
  ImageDescriber.cpp
  imageDescriberCommon.cpp
  imageStats.cpp
)

# CCTAG ImageDescriber
if(ALICEVISION_HAVE_CCTAG)
  list(APPEND features_files_headers cctag/ImageDescriber_CCTAG.hpp)
  list(APPEND features_files_sources cctag/ImageDescriber_CCTAG.cpp)
endif()

# APRILTAG ImageDescriber
if(ALICEVISION_HAVE_APRILTAG)
  list(APPEND features_files_headers apriltag/ImageDescriber_APRILTAG.hpp)
  list(APPEND features_files_sources apriltag/ImageDescriber_APRILTAG.cpp)
endif()

# PopSIFT ImageDescriber
if(ALICEVISION_HAVE_POPSIFT)
  list(APPEND features_files_headers sift/ImageDescriber_SIFT_popSIFT.hpp)
  list(APPEND features_files_sources sift/ImageDescriber_SIFT_popSIFT.cpp)
endif()

# OpenCV ImageDescriber
if(ALICEVISION_HAVE_OPENCV)
  list(APPEND features_files_headers openCV/ImageDescriber_AKAZE_OCV.hpp)
  list(APPEND features_files_sources openCV/ImageDescriber_AKAZE_OCV.cpp)

  if(ALICEVISION_HAVE_OCVSIFT)
    list(APPEND features_files_headers openCV/ImageDescriber_SIFT_OCV.hpp)
    list(APPEND features_files_sources openCV/ImageDescriber_SIFT_OCV.cpp)
  endif()
endif()


alicevision_add_library(aliceVision_feature
  SOURCES ${features_files_headers} ${features_files_sources}
  PUBLIC_LINKS
    aliceVision_image
    aliceVision_numeric
    aliceVision_system
    aliceVision_gpu
    vlsift
  PRIVATE_LINKS
    Boost::filesystem
    Boost::boost
)

# Link CCTAG library
if(ALICEVISION_HAVE_CCTAG)
  target_link_libraries(aliceVision_feature PUBLIC CCTag::CCTag)
endif()

# Link APRILTAG library
if(ALICEVISION_HAVE_APRILTAG)
  target_link_libraries(aliceVision_feature PUBLIC apriltag::apriltag)
endif()

# Link PopSIFT library
if(ALICEVISION_HAVE_POPSIFT)
  target_link_libraries(aliceVision_feature PRIVATE PopSift::popsift)
endif()

# Link OpenCV library
if(ALICEVISION_HAVE_OPENCV)
  target_link_libraries(aliceVision_feature PUBLIC ${OpenCV_LIBS})
endif()

# Unit tests
alicevision_add_test(features_test.cpp NAME "features" LINKS aliceVision_feature)
alicevision_add_test(metric_test.cpp   NAME "descriptor_metric"   LINKS aliceVision_feature)

=== src/aliceVision/featureEngine/CMakeLists.txt ===
# Headers
set(featureEngine_files_headers
  FeatureExtractor.hpp
)

# Sources
set(featureEngine_files_sources
  FeatureExtractor.cpp
)

# Library
alicevision_add_library(aliceVision_featureEngine
  SOURCES ${featureEngine_files_headers} ${featureEngine_files_sources}
  PUBLIC_LINKS
    aliceVision_feature
    aliceVision_image
    aliceVision_sfmData
    aliceVision_system
  PRIVATE_LINKS
    Boost::filesystem
)

## alicevision 3.2.0%2Brepack

=== debian/control ===
Source: alicevision
Section: contrib/libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgeogram-dev,
               libapriltag-dev,
               libflann-dev,
               libnanoflann-dev,
               liblemon-dev,
               libcoin-dev,
               libceres-dev,
               libassimp-dev,
               libboost-atomic-dev,
               libboost-container-dev,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-graph-dev,
               libboost-json-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libboost-timer-dev,
               libboost-test-dev,
               libopenimageio-dev,
               openimageio-tools,
               libmetis-dev,
               libopengv-dev,
               libopencv-dev,
               libmeshsdfilter-dev,
               libopenmesh-dev,
               libexpat1-dev,
               python3-imath,
               libtbb-dev,
               coinor-libcoinutils-dev,
               coinor-libclp-dev,
               liblz4-dev
Standards-Version: 4.6.0
Homepage: https://github.com/alicevision/AliceVision
Vcs-Git: https://salsa.debian.org/science-team/alicevision.git
Vcs-Browser: https://salsa.debian.org/science-team/alicevision

Package: libalicevision3
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libalicevision-data (= ${source:Version})
Description: Photogrammetric Computer Vision Framework
 AliceVision aims to provide strong software basis with state-of-the-art
 computer vision algorithms that can be tested, analyzed and reused. The project
 is a result of collaboration between academia and industry to provide
 cutting-edge algorithms with the robustness and the quality required for
 production usage.
 .
 This package provides the shared library

Package: libalicevision-dev
Section: contrib/libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libalicevision3 (= ${binary:Version})
Description: Photogrammetric Computer Vision Framework
 AliceVision aims to provide strong software basis with state-of-the-art
 computer vision algorithms that can be tested, analyzed and reused. The project
 is a result of collaboration between academia and industry to provide
 cutting-edge algorithms with the robustness and the quality required for
 production usage.
 .
 This package provides the development files library

Package: libalicevision-data
Section: contrib/libs
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Photogrammetric Computer Vision Framework
 AliceVision aims to provide strong software basis with state-of-the-art
 computer vision algorithms that can be tested, analyzed and reused. The project
 is a result of collaboration between academia and industry to provide
 cutting-edge algorithms with the robustness and the quality required for
 production usage.
 .
 This package provides the data files

Package: alicevision
Section: contrib/science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libalicevision3 (= ${binary:Version})
Description: Photogrammetric Computer Vision Framework
 AliceVision aims to provide strong software basis with state-of-the-art
 computer vision algorithms that can be tested, analyzed and reused. The project
 is a result of collaboration between academia and industry to provide
 cutting-edge algorithms with the robustness and the quality required for
 production usage.
 .
 This package provides the executable tools

## alicevision 3.2.0+repack

=== debian/changelog ===
alicevision (3.2.0+repack-2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:00 +0200

alicevision (3.2.0+repack-2) unstable; urgency=medium

  * Fixed FTBFS with nanoflann 1.7.0 (Closes: #1098340)

 -- Dima Kogan <dkogan@debian.org>  Thu, 20 Feb 2025 23:27:25 -0800

alicevision (3.2.0+repack-1) unstable; urgency=medium

  * First release into Debian (Closes: #1015716)

 -- Dima Kogan <dkogan@debian.org>  Sun, 19 Jan 2025 17:02:27 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# I'd like to turn this on, but I get build errors
USE_OCVSIFT := OFF

# ON produces errors. Leave it OFF for now
REQUIRE_CERES_WITH_SUITESPARSE := OFF

override_dh_auto_configure:
	dh_auto_configure -- \
		-DALICEVISION_BUILD_DEPENDENCIES=OFF \
		-DALICEVISION_BUILD_DOC=OFF \
		-DAV_USE_CUDA=OFF \
		-DAV_BUILD_CUDA=OFF \
		-DAV_BUILD_ZLIB=OFF \
		-DAV_BUILD_ASSIMP=OFF \
		-DAV_BUILD_TIFF=OFF \
		-DAV_BUILD_JPEG=OFF \
		-DAV_BUILD_PNG=OFF \
		-DAV_BUILD_LIBRAW=OFF \
		-DAV_BUILD_POPSIFT=OFF \
		-DAV_BUILD_CCTAG=OFF \
		-DAV_BUILD_APRILTAG=OFF \
		-DAV_BUILD_OPENGV=OFF \
		-DAV_BUILD_OPENCV=OFF \
		-DAV_BUILD_ONNXRUNTIME=OFF \
		-DAV_BUILD_LAPACK=OFF \
		-DAV_BUILD_SUITESPARSE=OFF \
		-DAV_BUILD_FFMPEG=OFF \
		-DAV_BUILD_VPX=OFF \
		-DAV_BUILD_COINUTILS=OFF \
		-DAV_BUILD_OSI=OFF \
		-DAV_BUILD_CLP=OFF \
		-DAV_BUILD_FLANN=OFF \
		-DAV_BUILD_LEMON=OFF \
		-DAV_BUILD_PCL=OFF \
		-DAV_BUILD_USD=OFF \
		-DAV_BUILD_GEOGRAM=OFF \
		-DAV_BUILD_TBB=OFF \
		-DAV_BUILD_EIGEN=OFF \
		-DAV_BUILD_EXPAT=OFF \
		-DAV_BUILD_OPENEXR=OFF \
		-DAV_BUILD_ALEMBIC=OFF \
		-DAV_BUILD_OPENIMAGEIO=OFF \
		-DAV_BUILD_BOOST=OFF \
		-DAV_BUILD_CERES=OFF \
		-DALICEVISION_USE_ONNX=OFF \
		-DALICEVISION_USE_CUDA=OFF \
		-DALICEVISION_USE_OPENMP=ON \
		-DALICEVISION_USE_OPENCV=ON \
		-DALICEVISION_USE_OPENCV_CONTRIB=OFF \
		-DALICEVISION_USE_OCVSIFT=$(USE_OCVSIFT) \
		-DALICEVISION_USE_APRILTAG=ON \
		-DALICEVISION_USE_OPENGV=ON \
		-DALICEVISION_USE_MESHSDFILTER=ON \
		-DALICEVISION_REQUIRE_CERES_WITH_SUITESPARSE=$(REQUIRE_CERES_WITH_SUITESPARSE) \
		-DALICEVISION_USE_RPATH=OFF \
		-DBUILD_SHARED_LIBS=ON \
		-DALICEVISION_BUILD_TESTS=ON \
		-DALICEVISION_BUILD_EXAMPLES=ON \
		-DLEMON_INCLUDE_DIR_HINTS=/usr/include/lemon/ \
		-DFLANN_INCLUDE_DIR_HINTS=/usr/include/flann/ \
		-DGEOGRAM_LIBRARY=/usr/lib/$(DEB_HOST_GNU_TYPE)/libgeogram.so.1 \
		-DGEOGRAM_INCLUDE_DIR=/usr/include/geogram1

# To make the tests pass I need to set ALICEVISION_ROOT to some directory inside
# the build tree. I get this as relative to this debian/rules file
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ALICEVISION_ROOT=$(dir $(realpath $(lastword $(MAKEFILE_LIST))))/../src/aliceVision/image dh_auto_test
endif

# The cmake files are arch-specific, so they should go into /usr/lib/ARCH not
# /usr/share
#
# Extra notes in /usr/share/aliceVision shouldn't live there, but they're not
# useful anyway, so I remove them
execute_after_dh_auto_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/aliceVision
	mv debian/tmp/usr/share/aliceVision/cmake debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/aliceVision

	rm debian/tmp/usr/share/aliceVision/*.md
